DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FTCube

Generates the Fourier transform of a cube

## SYNOPSIS

`#include "dip_generation.h"`

dip_Error dip_FTCube ( image, length, amplitude )

## DATA TYPES

Output: sfloat, scomplex

## FUNCTION

Generates the Fourier transform of a cube with the length of its sides equal to two times `length`.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Output Image
`dip_float` | `length` | Length
`dip_float` | `amplitude` | Amplitude

## SEE ALSO

`FTEllipsoid`, `FTSphere`, `FTBox`, `FTCross`, `FTGaussian`